Subject: bug#1867: Resizing window causes text flickering when using antialiased font on X

From: Jason Rumney <[email-masked]>
Date: Thu, 06 Oct 2011 22:17:13 +0800

Jan Djärv <[email-masked]> writes:

>> And could redrawing a single character under the cursor cause
>> flickering with antialiased fonts?
>
> For that character it might happen if the clearing and writing is
> separated long enough in time. Depends on the speed of your machine.

It used to happen on Windows, because the antialiasing around the
character overlaps with surrounding characters, causing much more than
just the character under the cursor to be redrawn.  The fix was to
improve the clip region around the text that needs redrawing so that at
most only the immediately adjacent characters need redrawing, not the
whole line or in extreme cases, the whole frame.